summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorshangxdy <shang.xiaodong@zte.com.cn>2017-10-10 19:36:44 +0800
committershangxdy <shang.xiaodong@zte.com.cn>2017-10-10 19:36:44 +0800
commite0ff4c6768fdae895d529cd7975fe90c913169c5 (patch)
tree2357fe69f37b47154ec9eb164b314314b42dcb4c
parent79923230d9636c426493505868ba228ba5931896 (diff)
Fix integration error when no role of heat_stack_owner
If there is no role of heat_stack_owner in openstack, integration will be error, the patch will fix it. JIRA: PARSER-162 Change-Id: I74d4e70153a312c1a64c75e0ff956b7ab2219adf Signed-off-by: shangxdy <shang.xiaodong@zte.com.cn>
-rwxr-xr-xtests/functest_run.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/functest_run.sh b/tests/functest_run.sh
index 3afbd56..d8aab32 100755
--- a/tests/functest_run.sh
+++ b/tests/functest_run.sh
@@ -115,7 +115,7 @@ create_parser_user_and_project() {
openstack ${debug} role add heat_stack_owner --user ${PARSER_USER} \
--project ${PARSER_PROJECT}
echo " Grant user ${PARSER_USER} the role of heat_stack_owner in project ${PARSER_PROJECT} successful."
- }
+ } || true
}
}